apiVersion: v1
kind: Service
metadata:
  name: route-guide
spec:
  ports:
  - port: 50051
    protocol: TCP
    name: grpc
  selector:
    app: route-guide-app
  type: LoadBalancer
---
apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: route-guide
spec:
  replicas: 1
  template:
    metadata:
      labels:
        app: route-guide-app
    spec:
      containers:
      - name: route-guide
        image: gcr.io/gcptraining-17042017/python-grpc-route_guide_app-server:1
        ports:
          - containerPort: 50051